Subject: Re: [PATCH] help: include list of aliases in git-help --all

From: Junio C Hamano <[email-masked]>
Date: Tue, 25 Feb 2014 13:51:12 -0800

Joel Nothman <[email-masked]> writes:

> arguments to git help. They are also like commands in that it is
> possible to forget their name, or whether they are defined on a
> particular workstation, and to hence want a listing.

I did envision that it would be useful for the last case, but then
the users would be helped even more if they can get a list of ONLY
aliases, not buried in many standard commands they already know
about.

In other words, I was not fundamentally opposed to *a* way to get a
list that includes aliases, but I was not convinced if it is a good
idea to *change* the output, which people knew would consist of
commands but not aliases, to suddenly start including aliases.